INTERFACE
SUBROUTINE KERNEL_PBP_AD(kis, ppsl, pbetal, pbetalb, pxpl, pbp, pbpb)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE rt6svalues
 INTEGER(KIND=JPIM), INTENT(IN) :: kis
 REAL(KIND=JPRB), INTENT(IN) :: pbetal(0:knt, 0:knang)
 REAL(KIND=JPRB), INTENT(INOUT) :: pbetalb(0:knt, 0:knang)
 REAL(KIND=JPRB), INTENT(IN) :: ppsl(0:knang, -1:knang, -kmu:kmu)
 REAL(KIND=JPRB), INTENT(OUT) :: pxpl(-kmu:kmu)
 REAL(KIND=JPRB), INTENT(INOUT) :: pbp(0:knt, 0:kmu, -kmu:kmu)
 REAL(KIND=JPRB), INTENT(INOUT) :: pbpb(0:knt, 0:kmu, -kmu:kmu)
END SUBROUTINE KERNEL_PBP_AD
END INTERFACE
